<!DOCTYPE html>
<html>

<head>
	<title>Innovation Plus Server</title>
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css"
		crossorigin="anonymous">
	<link rel="stylesheet" href="static/styles/dropdown.css">
	<link rel="stylesheet" href="static/styles/contextmenu.css">
	<link rel="stylesheet" href="static/styles/style.css">
	<style>
		input {
			color: black;
		}
	</style>
</head>

<body onselectstart="return false;" style="text-align: center";>
	<h1 style="text-align: center; color: blue;">Create an Account</h1>
	<br>
	<form action="" method="post">
		{{ form.hidden_tag() }}
		<div>
			{{ form.name(placeholder="name",
			style='width: 50%;
			font-weight: bold;
			padding: 12px 20px ;
			margin: 8px 0;
			border: 1px solid #ccc;
			border-radius: 4px;
			box-sizing: border-box') }}
			{% for error in form.name.errors %}
			<p>{{ error }}</p>
			{% endfor %}
		</div>
		<br>
		<div>
			{{ form.email(placeholder="email",
			style='width: 50%;
			font-weight: bold;
			padding: 12px 20px ;
			margin: 8px 0;
			border: 1px solid #ccc;
			border-radius: 4px;
			box-sizing: border-box') }}
			{% for error in form.email.errors %}
			<p>{{ error }}</p>
			{% endfor %}
		</div>
		<br>
		<div>
			{{ form.password1(placeholder="password",
			style='width: 50%;
			font-weight: bold;
			padding: 12px 20px ;
			margin: 8px 0;
			border: 1px solid #ccc;
			border-radius: 4px;
			box-sizing: border-box') }}
			{% for error in form.password1.errors %}
			<p>{{ error }}</p>
			{% endfor %}
		</div>
		<br>
		<div>
			{{ form.password2(placeholder="Confirm password",
			style='width: 50%;
			font-weight: bold;
			padding: 12px 20px ;
			margin: 8px 0;
			border: 1px solid #ccc;
			border-radius: 4px;
			box-sizing: border-box') }}
			{% for error in form.password2.errors %}
			<p>{{ error }}</p>
			{% endfor %}
		</div>
		<br>
		<div>{{ form.submit(
			style ='background-color: #4CAF50;
			color: white;
			width: 50%;
			padding: 14px 20px;
			margin: 8px 0;
			border: none;
			border-radius: 4px') }}
		</div>
	</form>
	<p></p>
	<h3 style="color: blue; margin-left:100px;"><a href="{{ url_for('login') }}">Already have an account?</a></h3>
</body>
</html>